Skip to content

Get Bundle Transaction History

GET
/v1/bundles/transactions

Returns the bundle transaction history for the current account.

Authorizations

apiKey

Your API key

Type
API Key (header: X-VALR-API-KEY)
+
apiSignature

HMAC SHA512 signature of the request (see Authentication section)

Type
API Key (header: X-VALR-SIGNATURE)
+
apiTimestamp

Request timestamp in milliseconds

Type
API Key (header: X-VALR-TIMESTAMP)

Parameters

Query Parameters

bundleSymbol*

The bundle symbol to filter by (e.g., VALR3, VALR10)

Type
string
Required
skip

Number of items to skip before returning results.

Type
integer
Example0
Format
"int32"
limit

Maximum number of items to return (max 100).

Type
integer
Example100
Format
"int32"

Responses

Bundle transaction history retrieved successfully

application/json

Playground

Authorization
Variables
Key
Value

Samples